<?php

/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/

session_start();
if(!empty($_SESSION['token'])) {
    
} else {
    header("Location:bmStats.php?action=failed"); // redirection en cas d'echec
};
?>
<?php

require("conf/config.php");
require("function/function.php");

if(isset($_POST['thisDomain']) and !empty($_POST['thisDomain']) ){

  $_SESSION['domainId']   = $_POST['thisDomain'] ;   
  $_SESSION['domainName'] = $_SESSION['allDomain'][$_POST['thisDomain']] ; 
    

}  

if(isset($_GET['setLang']) and !empty($_GET['setLang']) ) {
    setLang($_GET['setLang']) ;  
    header("Location:index.php");
};


$myLang = getLang($_SESSION['domainName']) ;
if(!empty($myLang)) $lang=$myLang ;


require("inc_lang/inc_lang_$lang.php");

$lookupActionArray = array("userstat");
$item   = "" ;
$action = "" ;


if( isset($_GET['setRefresh']) ) {
        $_SESSION['setRefresh'] = $_GET['setRefresh'] ;
        header("Location:index.php");
};



if( isset($_GET['item']) and !empty($_GET['item'])) {
        $item = $_GET['item'];
} 


if( isset($_POST['item']) and !empty($_POST['item'])) {
        $item = $_POST['item'] ;
};


if ( isset($_GET['action']) and !empty($_GET['action'])) { 
    $action = $_GET['action'];
};

if( isset($_POST['action']) and !empty($_POST['action'])) {
        $action = $_POST['action'] ;
};

if(isset($_POST['this_img_date'])) {
    if($lang == "fr") {
         $this_img_date = mv_fr_format_to_us($_POST['this_img_date']);
    } else {
         $this_img_date = $_POST['this_img_date'];
    };
};

if(isset($_GET['this_img_date'])) {
        $this_img_date  = $_GET['this_img_date'];

};

if(isset($_GET['pos'])) {
        $pos = $_GET['pos']; 
};


if(isset($_POST['this_xml_date'])) {
    if($lang == "fr") {
         $this_xml_date = mv_fr_format_to_us($_POST['this_xml_date']);
    } else {
         $this_img_date  = $_POST['this_xml_date'];
    };  
};



$domainItem    = array("usermailstat","domainmailstatoutgoing","domainmailstat","ingoingM","ingoing","ingoingVolM","ingoingVol","outgoing","outgoingvol","deferred","bounced","surveyLog","topUserCyrus"); 
$typologieItem = array("nrcpt","nbAtt","volAtt","mimeOff","mimePict","mimeComp","mimeMmd");
$userStatItem  = array("userstat","compareUsers"); 
$reportingItem = array("reporting","smtpconf") ;

$homeClass      = "normal";
$domainClass    = "" ;
$domainUl       = "" ;

$typologieClass = "" ;
$typologieUl    = "" ;

$userStatClass  = "" ;
$userStatUl     = "" ;

$reportingClass = "" ;
$reportingUl    = "" ;

$monitorClass   = "";


$ulStyle = "style='display: block;'";

if(in_array($action,$domainItem)) {
    $domainClass =' active' ;
    $domainUl    = $ulStyle ;
} elseif (in_array($action,$typologieItem)) {
    $typologieClass =' active' ;
    $typologieUl    = $ulStyle ; 
} elseif (in_array($action,$userStatItem)) {
    $userStatClass = ' active' ;
    $userStatUl    = $ulStyle ;
} elseif (in_array($action,$reportingItem)) {
    $reportingClass =' active' ;
    $reportingUl    = $ulStyle ;
} else {
    $homeClass = 'active' ;
};

$yesterday = date("Y-m-d",mktime(0,0,0,date("m"),date("d")-1,date("Y")));

$path_to_resume_xml = $path_to_data.$_SESSION['domainName']."/xml/resume/";
$path_to_resume_xmlDomain = $path_to_data.$_SESSION['domainName']."/xmlGlobalDomain/resume/";
$path_to_resume_xmlDomainOutgoing = $path_to_data.$_SESSION['domainName']."/xmlGlobalDomainOutgoing/resume/";



echo "
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html xmlns=\"http://www.w3.org/1999/xhtml\">     
<head>
  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\n
    <meta http-equiv=\"X-UA-Compatible\" content=\"chrome=1\" />\n
      <title>bm-stats : BlueMind Stats Portal</title>\n
        <link rel=\"stylesheet\" type=\"text/css\" href=\"./style/main.css\" />\n
        <link rel=\"stylesheet\" type=\"text/css\" href=\"./style/calendar.css\" />
    
    <script type=\"text/javascript\">
        <!--
        function fullScreen(url) {
             params  = 'width='+screen.width;
            params += ', height='+screen.height;
             params += ', top=0, left=0'
             params += ', fullscreen=yes';

            newwin=window.open(url,'Monitor', params);
             if (window.focus) {newwin.focus()}
             return false;
        }

        function popupForm(form) {
              params  = 'width=1400,height=450,resizeable,scrollbars';
              params += ',top=20, left=20';

              window.open('', 'formpopup', params);
              form.target = 'formpopup';
        }

      // -->
    </script>




    ";
        


               
    if ($action == "userstat") {
        echo "
        <script type=\"text/javascript\">
            window.onload = function() {
                for(var i = 0, l = document.getElementsByTagName('input').length; i < l; i++) {
                    if(document.getElementsByTagName('input').item(i).type == 'text') {
                        document.getElementsByTagName('input').item(i).setAttribute('autocomplete', 'off');
                    };
                };
            };
        </script> 
        
        <script type=\"text/javascript\">
            function lookup(inputString) {
                if(inputString.length == 0) {
                    // Hide the suggestion box.
                    $('#suggestions').hide();
                } else {
                    $.post(\"listUserBm.php\", {queryString: \"\"+inputString+\"\"}, function(data){
                        if(data.length >0) {
                            $('#suggestions').show();
                            $('#autoSuggestionsList').html(data);
                        }
                    });
                }
             } // lookup
             
             function fill(thisValue) {
                $('#inputString').val(thisValue);
                setTimeout(\"$('#suggestions').hide();\", 200);
             }
         </script> ";          
    };
    
          
echo "       
        <script language=\"JavaScript\" src=\"./js/calendar_$lang.js\" type=\"text/javascript\"></script>
        <script src='./js/jquery.min.js'></script>
        <script type='text/javascript' src='./js/menu_jquery.js'></script> 
        ";
        
        
    if($_SESSION['setRefresh'] == "1" and empty($item) ) {
            $restM = date("i")%5 ;
            $restS = date("s")%59 ;
            if($restM != 0) {
            $refresh = (5 - $restM)*60 - $restS + 10;
            } else {
            $refresh = 300 ;      
            };
            echo "  <meta http-equiv='Refresh' CONTENT='$refresh'>\n " ;  
        }; 
         
    
echo "
</head>
<body>
<!-- menu start here -->
<div id='top'>";

if ( isset($_SESSION['allDomain']) and !empty($_SESSION['allDomain']) ) 
    echo admin0Selector($_SESSION['domainId'],$_SESSION['domainName']) ;

echo "
    <a href='?setLang=fr' border='0'><img src='./images/fr.gif'></a>&nbsp;&nbsp; 
    <a href='?setLang=en' border='0'><img src='./images/gb.gif'></a>&nbsp;&nbsp;

    ".$_SESSION['displayName']." (".$_SESSION['login'].")&nbsp;&nbsp;

    <a href='bmStats.php?action=logout'>$l_logout </a>
    


</div>
<br>
<div id='left'>
<div id='cssmenu'>
<img src='images/logo-bmStats250px.png'/> 
<ul>
    <li class='".$homeClass."'><a href='index.php'><span>Home</span></a></li>

    <!--
    All about domain figures & stats
    -->
    <li class='has-sub".$domainClass."'><a href='#'><span>$l_block_domain</span></a>
      <ul  $domainUl>
         <li><a href='?item=Top&action=usermailstat'><span>$l_banner_top $l_header_top_user</span></a></li>
         <li><a href='?item=Top&action=domainmailstatoutgoing'><span>$l_banner_top $l_header_top_domain_outgoing</span></a></li>
         <li><a href='?item=Top&action=domainmailstat'><span>$l_banner_top $l_header_top_domain</span></a></li>
         <li><a href='?item=Top&action=topUserCyrus'><span>$l_banner_top $l_header_top_user_cyrus</span></a></li>

         <li><a href='?item=Graphe&action=ingoingM'><span>$l_header_graph $l_block_domain_incoming_nb</span></a></li>
         <li><a href='?item=Graphe&action=ingoing'><span>$l_header_graph $l_block_domain_incoming_nb_stored</span></a></li>
         <li><a href='?item=Graphe&action=ingoingVolM'><span>$l_header_graph $l_block_domain_incoming_vol</span></a></li>         
         <li><a href='?item=Graphe&action=ingoingVol'><span>$l_header_graph  $l_block_domain_incoming_vol_stored</span></a></li>  
         
         <li><a href='?item=Graphe&action=outgoing'><span>$l_header_graph $l_block_domain_outgoing_nb</span></a></li>
         <li><a href='?item=Graphe&action=outgoingvol'><span>$l_header_graph $l_block_domain_outgoing_vol</span></a></li> 
         
         <li><a href='?item=Graphe&action=deferred'><span>$l_header_graph $l_block_domain_deferred</span></a></li>
         <li><a href='?item=Graphe&action=bounced'><span>$l_header_graph $l_block_domain_bounced</span></a></li>

         <li class='last'><a href='?item=Graphe&action=surveyLog'><span>$l_header_graph $l_block_domain_access_warning</span></a></li>
      </ul>
    </li>

    <!--
    All about mail typology
    -->
    <li class='has-sub".$typologieClass."' ><a href='#'><span>$l_banner_typologie</span></a>
      <ul $typologieUl>
         <li><a href='?item=Graphe&action=nrcpt'><span>$l_menu_nbRecip</span></a></li>
         <li><a href='?item=Graphe&action=nbAtt'><span>$l_menu_nbAtt</span></a></li>
         <li><a href='?item=Graphe&action=volAtt'><span>$l_menu_volAtt</span></a></li>
         <li><a href='?item=Graphe&action=mimeOff'><span>$l_menu_mimeOff</span></a></li>
         <li><a href='?item=Graphe&action=mimePict'><span>$l_menu_mimePict</span></a></li>
         <li><a href='?item=Graphe&action=mimeComp'><span>$l_menu_mimeComp</span></a></li>
         <li class='last'><a href='?item=Graphe&action=mimeMmd'><span>$l_menu_mimeMmd</span></a></li>
      </ul>
    </li>
   

    <!-- 
    All users stats
    -->
    <li class='has-sub ".$userStatClass."'><a href='#'><span>$l_header_top_user</span></a>
      <ul $userStatUl>
        <li class='last'><a href='?item=User&action=userstat'><span>$l_header_top_user</span></a></li>
        <li class='last'><a href='?item=User&action=compareUsers'><span>$l_header_compare_user</span></a></li>
      </ul>
   </li>

   <!-- 
   All about reporting
   -->
   <li class='has-sub ".$reportingClass."'><a href='#'><span>$l_banner_reporting </span></a>
      <ul $reportingUl>
         <li><a href='?item=Reporting&action=reporting'><span>$l_reportTitle</span></a></li>
         <li class='last'><a href='?item=Reporting&action=smtpconf'><span>$l_reportSmtpConf</span></a></li>
      </ul>
   </li>
   <li class='last ".$monitorClass."'><a href=\"javascript: void(0)\" onclick=\"fullScreen('monitorPage.php')\" ><span>Monitor</span></a></li>

</ul>
</div>
</div>

<!-- data start here -->
<div id='right'>";
// START Data


/* Le monitoring H12 */
if(!isset($item) or empty($item)) {
    echo display_H12_graph() ;
};


/* Stats from xml Section 

         <li><a href='?item=Top&action=usermailstat'><span>$l_banner_top $l_header_top_user</span></a></li>
         <li><a href='?item=Top&action=domainmailstatoutgoing'><span>$l_banner_top $l_header_top_domain_outgoing</span></a></li>
         <li><a href='?item=Top&action=domainmailstat'><span>$l_banner_top $l_header_top_domain</span></a></li>

*/
if($item == "Top" ) {

    if ($action == 'usermailstat') {
        echo xml_form() ;    

        if(empty($this_xml_date)) {
        $this_xml_date = $yesterday;
        };            

        if(xml_file_format_from_a_date($this_xml_date,"")) {     
            $resd = xml_file_format_from_a_date($this_xml_date,$type="") ;

            if(file_exists($path_to_resume_xml.$resd.".xml")) {
                $stat = display_mail_stat_by_user($this_xml_date,"") ;
                     echo "
                    <div >
                                $stat
                </div>";
        
            };
        };

        if(xml_file_format_from_a_date($this_xml_date,"w")) {
            $resw  = xml_file_format_from_a_date($this_xml_date,"w") ;
            if(file_exists($path_to_resume_xml.$resw.".xml")) {
                $statw = display_mail_stat_by_user($this_xml_date,"w");
                       echo "
                <br>
                <hr>
                <br>        
                    <div>
                            $statw
                    </div>";
            };        
        };


        if(xml_file_format_from_a_date($this_xml_date,"m")) {
            $resm  = xml_file_format_from_a_date($this_xml_date,$type="m") ;
            if(file_exists($path_to_resume_xml.$resm.".xml")) {
                $statm = display_mail_stat_by_user($this_xml_date,"m");
                echo "
                                        <br>
                            <hr>
                            <br>

                <div>
                    $statm
                </div>";
            };
        };


        if(xml_file_format_from_a_date($this_xml_date,"y")) {
            $resy  = xml_file_format_from_a_date($this_xml_date,$type="y") ;
            if(file_exists($path_to_resume_xml.$resy.".xml")) {
                    $staty = display_mail_stat_by_user($this_xml_date,"y");
                    echo "
                            <br>
                            <hr>
                            <br>

                    <div>
                    $staty
                       </div>";
            };
        };
        
    };

    if ($action == 'domainmailstat') {
        echo xmlDomain_form() ;    

        if(empty($this_xml_date)) {
            $this_xml_date = $yesterday;
        };            

        if(xml_file_format_from_a_date($this_xml_date,"")) {     
            $resd = xml_file_format_from_a_date($this_xml_date,$type="") ;

            if(file_exists($path_to_resume_xmlDomain.$resd.".xml")) {
                $stat = display_mail_stat_by_domain($this_xml_date,"") ;
                     echo "
                    <div >
                                $stat
                </div>";
        
            };
        };

        if(xml_file_format_from_a_date($this_xml_date,"w")) {
            $resw  = xml_file_format_from_a_date($this_xml_date,"w") ;
            if(file_exists($path_to_resume_xmlDomain.$resw.".xml")) {
                $statw = display_mail_stat_by_domain($this_xml_date,"w");
                       echo "
                <br>
                <hr>
                <br>        
                    <div>
                            $statw
                    </div>";
            };        
        };


        if(xml_file_format_from_a_date($this_xml_date,"m")) {
            $resm  = xml_file_format_from_a_date($this_xml_date,$type="m") ;
            if(file_exists($path_to_resume_xmlDomain.$resm.".xml")) {
                $statm = display_mail_stat_by_domain($this_xml_date,"m");
                echo "
                                        <br>
                            <hr>
                            <br>

                <div>
                    $statm
                </div>";
            };
        };


        if(xml_file_format_from_a_date($this_xml_date,"y")) {
            $resy  = xml_file_format_from_a_date($this_xml_date,$type="y") ;
            if(file_exists($path_to_resume_xmlDomain.$resy.".xml")) {
                    $staty = display_mail_stat_by_domain($this_xml_date,"y");
                    echo "
                            <br>
                            <hr>
                            <br>

                    <div>
                    $staty
                       </div>";
            };
        };
        
    };



    if ($action == 'domainmailstatoutgoing') {
        echo xmlDomainOutgoing_form() ;

        if(empty($this_xml_date)) {
        $this_xml_date = $yesterday;
        };

        if(xml_file_format_from_a_date($this_xml_date,"")) {
            $resd = xml_file_format_from_a_date($this_xml_date,$type="") ;

            if(file_exists($path_to_resume_xmlDomainOutgoing.$resd.".xml")) {
                $stat = display_mail_stat_by_domain_outgoing($this_xml_date,"") ;
                     echo "
                    <div >
                                $stat
                </div>";

            };
        };

        if(xml_file_format_from_a_date($this_xml_date,"w")) {
            $resw  =/* Graphe Section */ xml_file_format_from_a_date($this_xml_date,"w") ;
            if(file_exists($path_to_resume_xmlDomainOutgoing.$resw.".xml")) {
                $statw = display_mail_stat_by_domain_outgoing($this_xml_date,"w");
                       echo "
                <br>
                <hr>
                <br>
                    <div>
                            $statw
                    </div>";
            };
        };


        if(xml_file_format_from_a_date($this_xml_date,"m")) {
            $resm  = xml_file_format_from_a_date($this_xml_date,$type="m") ;
            if(file_exists($path_to_resume_xmlDomainOutgoing.$resm.".xml")) {
                $statm = display_mail_stat_by_domain_outgoing($this_xml_date,"m");
                echo "
                                        <br>
                            <hr>
                            <br>

                <div>
                    $statm
                </div>";
            };
        };


        if(xml_file_format_from_a_date($this_xml_date,"y")) {
            $resy  = xml_file_format_from_a_date($this_xml_date,$type="y") ;
            if(file_exists($path_to_resume_xmlDomainOutgoing.$resy.".xml")) {
                    $staty = display_mail_stat_by_domain_outgoing($this_xml_date,"y");
                    echo "
                            <br>
                            <hr>
                            <br>

                    <div>
                    $staty
                       </div>";
            };
        };

    };

    if($action == 'topUserCyrus' ) {
        
      echo displayCyrusSize() ;

    }
  
};

if($item == "Graphe" ) {

    if (!isset($action) or empty($action)) {
    } else { 
        if(empty($this_img_date)) {
                $this_img_date = $yesterday;
        };
          
        $this_tab = @list_file($action, $this_img_date) ;
        echo  mise_en_page($this_tab,$this_img_date,$action);

    };
};

/* User Stats Section  */

if($item == "User" ) {

    if($action == 'userstat') {
        echo  user_stat_form() ;
       
        if(!empty($_POST['userbm'])) {

            (isset($_POST['userbm'])) ? $thisBmUser = $_POST['userbm'] : $thisBmUser = "" ;
            (isset($_POST['dateStart'])) ? $thisDateStart = $_POST['dateStart'] : $thisDateStart = "" ;
            (isset($_POST['dateStop'])) ? $thisDateStop = $_POST['dateStop'] : $thisDateStop = "" ;
            (isset($_POST['exportToPdf'])) ? $thisExportToPdf = $_POST['exportToPdf'] : $thisExportToPdf = "" ;
            (isset($_POST['viewData'])) ? $thisViewData = $_POST['viewData'] : $thisViewData = "" ;

            echo mise_en_page_stat_user($thisBmUser,$thisDateStart,$thisDateStop,$thisExportToPdf,$thisViewData);
        };
    
        echo "
        <script type='text/javascript'>
        (function (d) {
            d.getElementById('form').onsubmit = function () {
                d.getElementById('submit').style.display = 'none';
                d.getElementById('loading2').style.display = 'block';
            };
        }(document));
        </script>
        ";
    
    };

    if($action =='compareUsers') {

      echo compareForm() ;

    }


};






/* Reporting Section  */

if($item == "Reporting" ) {

    if($action == 'reporting' ) {
        $thisListOfFile = list_reporting_files();
        echo display_list_reporting_files($thisListOfFile) ;
    };

    if($action == 'smtpconf') {
        echo displayInfoFrom_smtpConf() ;
    };

    if($action == 'modifSmtpConf' ) {
        echo modifyInfoFrom_smtpConf() ;
    }; 

    if($action == 'saveSmtpConf' ) {
        
        if(saveInfoTo_smtpConf($_POST)) {
            echo displayInfoFrom_smtpConf() ;
        }; 
    };

    if($action == 'testSMTPConf' ) {
        
        if(do_test()) {
            header("Location:index.php?item=Reporting&action=smtpconf");
        };    
    };

};


// END Data 
echo "
</div>

</body>
</html>
";

?>
